Hi,

On 11/02/2010 06:43 AM, Shem-Tov Shapiro wrote:
Is there an easy way to upgrade or am I suppose to uninstall 0.9.9.91 first?
 
Every time I run apt-get install s3cmd it keeps on trying to to install version 0.9.9.91 , even though I am in the s3cmd-1.0.0-rc1 directory !
 
I even tried
python setup.py install
But that seemed to install it /user/local/bin   instead of  /usr/bin
and even though they are both in my PATH only /usr/bin is being looked at.

If your existing s3cmd 0.9.9.91 was installed from a debian depository then I suggest to uninstall it prior to installing s3cmd 1.0.0-rc1 from the tarball with "python setup.py install". The official debian (or ubuntu or whatever) repos are not likely to upgrade s3cmd to 1.0.0(-rc1) for the existing releases.

I do not provide deb packages because I'm not very familiar with the debian build process. If you were on an RPM-based system I could be of more help with ready made packages.

BTW you can install from the tarball to /usr/bin instead of /usr/local/bin with "python setup.py install --prefix=/usr" - but uninstall the debian package first anyway.

Let me know if you need more help.

Michal